# move.h File Reference

Go to the source code of this file.

## Classes

- struct std::identity< _Tp >
    identity More...

## Namespaces

- namespace std

## Defines

- #define _GLIBCXX_FORWARD(_Tp, __val)
- #define _GLIBCXX_MOVE(_Tp)

## Functions

- template<typename _Tp > enable_if<!is_lvalue_reference
  < _Tp >::value, _Tp && >::type std::forward (typename std::identity< _Tp >::type &__t)
- template<typename _Tp > enable_if<!is_lvalue_reference
  < _Tp >::value, _Tp && >::type std::forward (typename std::identity< _Tp >::type &&__t)
- template<typename _Tp > enable_if< is_lvalue_reference
  < _Tp >::value, _Tp >::type std::forward (typename std::remove_reference< _Tp >::type &&__t)
- template<typename _Tp > enable_if< is_lvalue_reference
  < _Tp >::value, _Tp >::type std::forward (typename std::identity< _Tp >::type __t)
- template<typename _Tp > std::remove_reference< _Tp >
  ::type && std::move (_Tp &&__t)
- template<typename _Tp > void std::swap (_Tp &__a, _Tp &__b)
- template<typename _Tp , size_t _Nm> void std::swap (_Tp(&)[_Nm], _Tp(&)[_Nm])

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file move.h.